Debian Bug report logs - #574666
grub-pc: update-grub2 doesn't generate Xen entries

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Russell Coker <russell@coker.com.au>

Date: Fri, 19 Mar 2010 23:06:05 UTC

Severity: normal

Tags: patch, upstream

Merged with 505517, 555985

Found in version grub2/1.98-1

Fixed in version grub2/1.98+20100702-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#574666; Package grub-pc. (Fri, 19 Mar 2010 23:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 19 Mar 2010 23:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: update-grub2 doesn't generate Xen entries
Date: Sat, 20 Mar 2010 10:05:21 +1100
Package: grub-pc
Version: 1.98-1
Severity: normal

-- Package-specific info:

The update-grub2 command doesn't generate entries for Xen booting which load
the Xek hypervisor.  This makes it impractical to upgrade to grub2 at this
time on systems running Xen.

*********************** BEGIN /proc/mounts
/dev/disk/by-uuid/0d63b42b-19c9-4ab7-ab86-3025627548d5 / ext3 rw,seclabel,noati$
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)   /dev/sda
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ ${prev_saved_entry} ]; then
if [ ${prev_saved_entry} ]; then
  set saved_entry=${prev_saved_entry}
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z ${boot_once} ]; then
    saved_entry=${chosen}
    save_env saved_entry
  fi
}
insmod ext2
set root='(hd0,1)'
search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
insmod ext2
set root='(hd0,1)'
search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
set locale_dir=($root)/boot/grub/locale
set lang=en
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Debian GNU/Linux, with Linux 2.6.32-4-xen-686" --class debian --clas$
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        echo    Loading Linux 2.6.32-4-xen-686 ...
        linux   /boot/vmlinuz-2.6.32-4-xen-686 root=UUID=0d63b42b-19c9-4ab7-ab8$
        echo    Loading initial ramdisk ...
        initrd  /boot/initrd.img-2.6.32-4-xen-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.32-4-xen-686 (recovery mode)" --cla$
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        echo    Loading Linux 2.6.32-4-xen-686 ...
        linux   /boot/vmlinuz-2.6.32-4-xen-686 root=UUID=0d63b42b-19c9-4ab7-ab8$
        echo    Loading initial ramdisk ...
        initrd  /boot/initrd.img-2.6.32-4-xen-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.26-2-xen-686" --class debian --clas$
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        echo    Loading Linux 2.6.26-2-xen-686 ...
        linux   /boot/vmlinuz-2.6.26-2-xen-686 root=UUID=0d63b42b-19c9-4ab7-ab8$
        echo    Loading initial ramdisk ...
        initrd  /boot/initrd.img-2.6.26-2-xen-686
}
menuentry "Debian GNU/Linux, with Linux 2.6.26-2-xen-686 (recovery mode)" --cla$
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        echo    Loading Linux 2.6.26-2-xen-686 ...
        linux   /boot/vmlinuz-2.6.26-2-xen-686 root=UUID=0d63b42b-19c9-4ab7-ab8$
        echo    Loading initial ramdisk ...
        initrd  /boot/initrd.img-2.6.26-2-xen-686
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        linux16 /boot/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
        insmod ext2
        set root='(hd0,1)'
        search --no-floppy --fs-uuid --set 0d63b42b-19c9-4ab7-ab86-3025627548d5
        linux16 /boot/memtest86+.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-xen-686 (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  grub-common                   1.98-1     GRand Unified Bootloader, version
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  ucf                           3.0025     Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
pn  desktop-base                  <none>     (no description available)

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/linux_cmdline: selinux=1
* grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: true
  grub-pc/install_devices:
  grub-pc/postrm_purge_boot_grub: false
  grub2/kfreebsd_cmdline_default: quiet
  grub2/linux_cmdline_default: quiet




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#574666; Package grub-pc. (Sun, 21 Mar 2010 12:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 21 Mar 2010 12:12:12 GMT) Full text and rfc822 format available.

Message #10 received at 574666@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 574666@bugs.debian.org
Cc: Russell Coker <russell@coker.com.au>
Subject: #574666 duplicate of #505517 ?
Date: Sun, 21 Mar 2010 13:08:52 +0100
Hi Russel, 

Isn't "your" #574666 a duplicate of the previous #505517 (merged to #555985 ) ?

Best regards, 

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#574666; Package grub-pc. (Sun, 21 Mar 2010 12:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 21 Mar 2010 12:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 574666@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: "Didier 'OdyX' Raboud" <didier@raboud.com>
Cc: 574666@bugs.debian.org
Subject: Re: #574666 duplicate of #505517 ?
Date: Sun, 21 Mar 2010 23:42:36 +1100
On Sun, 21 Mar 2010, "Didier 'OdyX' Raboud" <didier@raboud.com> wrote:
> Hi Russel,
>
> Isn't "your" #574666 a duplicate of the previous #505517 (merged to #555985
> ) ?

Yes, I didn't notice it before.




Bug reassigned from package 'grub-pc' to 'grub-common'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 11:39:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions grub2/1.98-1. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 11:39:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub2/1.98-1. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 11:39:03 GMT) Full text and rfc822 format available.

Forcibly Merged 505517 555985 574666. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 11:39:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 11:54:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Aug 2010 07:32:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.